* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    scroll-behavior: smooth;
    font-family: "Poppins";
  }
  :root {
    --bg-color: #080808;
    --second-bg-color: #101010;
    --text-color: white;
    --main-color: #ea580c;
  }
  html {
    font-size: 60%;
    overflow-x: hidden;
  }
  body{
    background: var(--bg-color);
    color: var(--text-color);
  }
  .header{
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    padding: 4rem 15%;
    background: rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(10px);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1000;
  }
  #menu-icon{
    font-size: 3.5rem;
    color: var(--main-color);
    display: none;
  }
  .logo{
    font-size: 2.1rem;
    color: var(--text-color);
    font-weight: 800;
    cursor: pointer;
    transition: 0.3s ease-in-out;
  }
  .logo:hover{
    transform: scale(1.1);
  }
  span{
    background: linear-gradient(
        270deg,
        #DF8908 10%,
        #ff1d15 100%
    );
    background-clip: text;
    color: transparent;
  }
  .navbar a{
    font-size: 1.8rem;
    color: var(--text-color);
    margin-left: 4rem;
    font-weight: 500;
    transition: 0.3s ease-in-out;
    border-bottom: 3px solid transparent;
  }
  .navbar a:hover{
    color: var(--main-color);
    border-bottom: 3px solid var(--main-color);
  }
  .gradient-btn{
    font-size: 1.8rem;
    padding: 1rem 2rem;
    border-radius: 3rem;
    background: linear-gradient(
        270deg,
        #DF8908 10%,
        #ff1d15 100%
    );
    letter-spacing: 1px;
    cursor: pointer;
    transition: 0.3s ease-in-out;
    color: var(--text-color);
    border: none;
    white-space: nowrap;
  }
  .gradient-btn:hover{
    transform: scale(1.05);
  }

  section{
    min-height: 100vh;
    padding: 10rem 15%;
  }
  .home{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15rem;
  }
  .home-content{
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }
  .home-content h1{
    font-size: 3rem;
    font-weight: 700;
    margin-top: 1.5rem;
    line-height: 1;
  }
  .home-content h3{
    margin: 1rem 0;
    font-size: 2rem;
  }
  .home-content p{
    font-size: 1.5rem;
    font-weight: 500;
    line-height: 1.8;
  }
  .home-img img{
    width: 32vw;
    border-radius: 50%;
    box-shadow: 0 0 25px var(--main-color);
    transition: 0.4s ease-in-out;
  }
  .home-img img:hover{
    box-shadow: 0 0 25px var(--main-color),
                0 0 50px var(--main-color),
                0 0 100px var(--main-color);
  }
  
  .whatsapp-buttons {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    margin-top: 30px;
  }
  
  .whatsapp-buttons .btn {
    padding: 10px 20px;
    font-size: 16px;
    border-radius: 10px;
    text-decoration: none;
    font-weight: bold;
    transition: background-color 0.3s, color 0.3s;
  }
  
  .whatsapp-buttons .call-btn {
    background-color: var(--main-color); /* Orange */
    color: var(--text-color);
  }
  
  .whatsapp-buttons .call-btn:hover {
    background-color: var(--main-color);
  }
  
  .whatsapp-buttons .text-btn {
    background-color: var(--text-color);
    color: var(--main-color);
    border: 2px solid var(--main-color);
  }
  
  .whatsapp-buttons .text-btn:hover {
    background-color: var(--main-color);
    color: var(--text-color);
  }

  .heading{
    text-align: center;
    font-size: 2.7rem;
    margin: 5rem 0;
  }
  .services{
    background-color: var(--bg-color);
    color: black;
  }
  .services h2{
    color: var(--text-color);
  }
  .services-container{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    align-items: center;
    gap: 2.5rem;
  }
  .service-box{
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--main-color);
    min-height: 380px;
    border-radius: 2rem;
    cursor: pointer;
    border: 5px solid transparent;
    transition: 0.4s ease-in-out;
  }
  .service-box:hover{
    background: var(--second-bg-color);
    color: var(--main-color);
    border: 5px solid var(--main-color);
    transform: scale(1.03);
  }
  .service-info{
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    align-items: center;
    padding: 5rem;
  }
  .service-info h4{
    font-size: 4rem;
    margin: 2rem 0;
    font-weight: 800;
  }
  .service-info p{
    font-size: 1.5rem;
    font-weight: 600;
    line-height: 1.7;
  }
  .service-info i{
    font-size: 8rem;
  }

  .whyus{
    background-color: var(--second-bg-color);
  }
  .whyus-box{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
    place-items: center;
    gap: 3rem;
    row-gap: 5rem;
  }
  .whyus-card{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    background-color: var(--bg-color);
    border: 2px solid var(--main-color);
    border-radius: 3rem;
    gap: 2rem;
    padding: 5rem 2rem;
    overflow: hidden;
    cursor: pointer;
    box-shadow: 0 0 5px var(--main-color);
    transition: 0.3s ease;
    height: 380px;
  }
  .whyus-card:hover{
    box-shadow: 0 0 25px var(--main-color),
                0 0 50px var(--main-color);
    transform: scale(1.02);            
  }
  .whyus-card img{
    max-width: 285px;
    border-radius: 2em;
    object-fit: cover;
    margin-top: 45px;
  }
  .whyus-card h3{
    font-size: 2rem;
  }
  .whyus-card p{
    font-size: 1.3rem;
    line-height: 1.5;
    margin-top: -15px;
  }

  .testimonials-section {
    padding: 40px 20px;
    background-color: #0f0f0f;
    color: white;
    text-align: center;
  }
  
  .testimonials{
    background: var(--bg-color);
  }

  .testimonials-section h2 {
    font-size: 2em;
    color: #e50914;
    margin-bottom: 30px;
  }
  
  
  .testimonials-container {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
  }
  
  .testimonial-card {
    background-color: rgba(0, 0, 0, 0.7);
    border-radius: 10px;
    padding: 20px;
    max-width: 300px;
    width: 100%;
    box-shadow: 0 0 10px rgba(0,0,0,0.3);
    transition: 0.4s ease-in-out;
    background-size: cover;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    border: 3px solid rgba(238, 238, 238, 0.2);
    margin: 0 2rem;
    cursor: pointer;
    text-align: center;
    gap: 1.5rem;
    color: white;

  }
  
  .testimonial-card:hover {
    transform: translateY(-10px)scale(1.03);
    border: 3px solid var(--main-color);
    box-shadow: 0 0 50px var(--main-color);
  }
  
  .testimonial-card img {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    margin: 15px 0;
    object-fit: cover;
    border: 3px solid var(--main-color);
    box-shadow: 0 0 25px var(--main-color);
  }
  
  .stars {
    font-size: 2rem;
    color: gold;
  }
  
  .testimonial-text {
    line-height: 1.5;
    font-size: 1.3em;
    color: white;
  }
  
  .client-name {
    margin-top: 10px;
    font-weight: bold;
  }
  
  .client-name span {
    display: block;
    font-weight: normal;
    font-size: 0.95em;
    color: white;
  }

  .contact-section {
    background: var(--bg-color);
    color: white;
    padding: 60px 20px;
    font-family: 'Segoe UI', sans-serif;
  }
  
  .contact-container {
    max-width: 500px;
    margin: auto;
    text-align: center;
  }
  
  .contact-container h2 {
    font-size: 2.5rem;
    margin-bottom: 10px;
  }
  
  .contact-container h2 span {
    color: var(--main-color);
    font-weight: 600;
  }
  
  .contact-container p {
    margin-bottom: 30px;
    line-height: 1.5;
    font-size: 1.5rem;
    color: var(--text-color);
  }
  
  .contact-form input,
  .contact-form textarea {
    width: 100%;
    background: var(--bg-color);
    border: 2px solid var(--main-color);
    padding: 15px;
    margin-bottom: 15px;
    border-radius: 8px;
    color: var(--text-color);
    font-size: 1.5rem;
    text-align: center;
    
  }
  
  .contact-form button {
    width: 30%;
    padding: 15px;
    background: var(--main-color);
    border: none;
    color: var(--second-bg-color);
    font-size: 1.7rem;
    font-weight: bold;
    border-radius: 8px;
    cursor: pointer;
    transition: background 0.3s ease-in-out;
  }
  
  .contact-form button:hover {
    box-shadow: 0 0 25px var(--main-color),
    0 0 50px var(--main-color),
    0 0 100px var(--main-color);
  }
  
  .contact-info p {
    margin-top: 20px;
    font-size: 1.5rem;
    line-height: 1.2rem;
  }
  
  .contact-info strong {
    color: white;
  }

 
  footer {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-wrap: wrap;
    padding: 40px 20px;
    background-color: #0e0e0e;
    color: #d1d1d1;
  }
  
  .footer-left {
    max-width: 300px;
  }
 
  
  .logo-title {
    display: flex;
    align-items: flex-start;
    gap: 5px;
  }
  
  .globe-icon {
    font-size: 60px;
    color: #f4efe3;
    flex-shrink: 0;
  }
  
  .logo-title h2 {
    margin: 0;
    font-size: 28px;
    font-weight: 600;
    color: var(--text-color);
  }
  
  .logo-title h2 span {
    display: block;
    color: var(--main-color);
  }
  
  .logo-title p {
    margin-top: 10px;
    font-size: 14px;
    color: var(--text-color);
    line-height: 1.4;
  }
  
  .footer-right {
    text-align: right;
  }
  
  .footer-nav {
    list-style: none;
    padding: 0;
    margin-bottom: 15px;
  }
  
  .footer-nav li {
    margin-bottom: 8px;
  }
  
  .footer-nav a {
    text-decoration: none;
    color: var(--main-color);
    font-weight: 500;
    font-size: 18px;
  }
  
  .footer-nav a:hover {
    text-decoration: underline;
  }
  
  .footer-icons {
    display: flex;
    justify-content: flex-end;
    gap: 12px;
  }
  
  .footer-icons i {
    font-size: 20px;
    background: transparent;
    color: var(--main-color);
    border-radius: 50%;
    padding: 3px;
    transition: 0.3s ease-in-out;
    border: 2px solid var(--main-color);
  }
  
  .footer-icons i:hover{
    color: var(--text-color);
    background-color: var(--main-color);
    transform: scale(1.2)translateY(-5px);
    box-shadow: 0 0 25px var(--main-color);
  }
  .chat-button-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 55px;
  }
  
  .orange-chat-button {
    background-color: var(--main-color);
    color: white;
    padding: 10px 20px;
    border-radius: 8px;
    font-size: 16px;
    text-decoration: none;
    font-weight: 500;
    transition: background-color 0.3s ease;
  }
  
  .orange-chat-button:hover {
    background-color: #e03e00;
  }

  .about-button-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 50px;
  }
  
  .orange-btn-about {
    background-color: var(--main-color);
    color: white;
    padding: 8px 18px;         
    font-size: 14px;           
    border-radius: 8px;
    text-decoration: none;
    font-weight: 500;
    transition: background-color 0.3s ease;
  }
  
  .orange-btn-about:hover {
    background-color: #e03e00;
  }

  .floating-icon-only {
    position: fixed;
    bottom: 18px;
    right: 18px;
    color: var(--main-color);            
    font-size: 50px;            
    z-index: 999;
    transition: color 0.3s ease;
  }
  
  .floating-icon-only:hover {
    color: #e03e00;            
  }

  @media (max-width: 768px) {

    html {
      font-size: 50%;
    }
  
    .header {
      padding: 2rem 5%;
      flex-wrap: wrap;
    }
  
    .navbar {
      display: none;
      flex-direction: column;
      position: absolute;
      top: 100%;
      right: 0;
      background: rgba(0, 0, 0, 0.95);
      width: 100%;
      padding: 2rem 3rem;
      z-index: 999;
    }
  
    .navbar.active {
      display: flex;
    }
  
    .navbar a {
      margin: 1rem 0;
      font-size: 1.8rem;
    }
  
    #menu-icon {
      display: block;
    }
  
    .gradient-btn {
      display: none;
    }
  
    section {
      padding: 5rem 5%;
    }
  
    .home {
      flex-direction: column-reverse;
      gap: 3rem;
      text-align: center;
    }
  
    .home-content {
      align-items: center;
    }
  
    .home-img img {
      width: 75vw;
      margin-top: 2rem;
    }
  
    .services-container {
      grid-template-columns: 1fr;
    }
  
    .service-box {
      padding: 2rem;
      min-height: auto;
    }
  
    .service-info {
      padding: 0;
    }
  
    .service-info i {
      font-size: 5rem;
    }
  
    .whyus-box {
      grid-template-columns: 1fr;
      gap: 2rem;
    }
  
    .whyus-card {
      height: auto;
      padding: 3rem 2rem;
    }
  
    .testimonials-container {
      flex-direction: column;
    }
  
    .testimonial-card {
      max-width: 90%;
      margin: 1rem auto;
      padding: 2rem;
    }
  
    .contact-form input,
    .contact-form textarea {
      font-size: 1.5rem;
      padding: 1rem;
    }
  
    .contact-form button {
      width: 100%;
      font-size: 1.5rem;
      padding: 1rem;
    }
  
    
  
    .floating-icon-only {
      font-size: 7rem;
      bottom: 20px;
      right: 10px;
      position: fixed;
      z-index: 999;
      

    }
  
    .whatsapp-buttons {
      flex-direction: column;
      gap: 1.5rem;
    }
  
    .whatsapp-buttons .btn {
      font-size: 1.9rem;
      padding: 1.6rem 1.9rem;
      width: 100%;
      text-align: center;
    }
  
  }
  @media (max-width: 768px) {
    .footer {
      flex-direction: column;
      align-items: center;
      text-align: center;
      gap: 2rem;
      padding: 2rem 1rem;
    }
  
    .footer-left,
    .footer-right {
      align-items: center;
      justify-content: center;
    }
  
    .footer-left {
      display: flex;
      flex-direction: column;
      gap: 0.8rem;
    }
  
    .footer-nav {
      display: flex;
      flex-direction: column;
      gap: 0.5rem;
    }
  
    .footer-icons {
      display: flex;
      justify-content: center;
      gap: 1rem;
      margin-top: 1rem;
    }
   
  }
 